Karia
ReferencesOpenapiEmployer

Create employer

POST
/organisation/{orgId}/workspace/{workspaceId}/employer

Create an employer in the specified organisation and workspace.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
application/json
  1. body
businessId*string
Lengthlength <= 11
name*string
Lengthlength <= 255
tradingName*string
Lengthlength <= 255
industry*string
Value in"accounting""agriculture""banking""business""consulting""construction""education""engineering""finance""financial_services""government""healthcare""hospitality""insurance""information_technology""legal""manufacturing""marketing""media""mining""real_estate""retail""technology""telecommunications""transport""other"
streetNumber*string
Lengthlength <= 10
streetName*string
Lengthlength <= 255
suburb*string
Lengthlength <= 100
state*string
Value in"act""nsw""nt""qld""sa""tas""vic""wa"
postCode*string
Lengthlength <= 20
country*string
Lengthlength <= 100
unitNumber?|null
addressLine2?|null
fbtTreatmentType*string
Value in"standard""rebatable_employer""public_benevolent_institution""health_promotion_charity""public_not_for_profit_hospitals""public_ambulance_services"
fbtCollection?|null
invoiceTerms*string
Value in"7_days""14_days""30_days""60_days""90_days"
preferredPaymentMethod?|null
companyWebsite?|null
description?|null
metadata?
status?string
Default"active"
Value in"active""inactive"

Response Body

Successful response

application/json
  1. response
id*number
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/employer' \  -H 'Content-Type: application/json' \  -d '{  "businessId": "string",  "name": "string",  "tradingName": "string",  "industry": "accounting",  "streetNumber": "string",  "streetName": "string",  "suburb": "string",  "state": "act",  "postCode": "string",  "country": "string",  "fbtTreatmentType": "standard",  "invoiceTerms": "7_days"}'
Example Response
{  "id": 0}